import {
	yghttp
} from '@/request/index.js';


/**
 * 获取金刚区
 * 
 */
export const getAPPList = (identityCode = '') => {
	return yghttp.get(`/quick/link/select?identityCode=${identityCode}`)
}
/**
 * 获取应用地址
 */
export const getThirdWebAddress = (thirdApplicationId) => {
	return yghttp.post('/auth/getThirdWebAddress', {
		"thirdApplicationId": thirdApplicationId,

	}, {
		"sign": new Date().getTime() + Math.random()
	})
}
/**
 * 获取消息应用地址
 */
export const getThirdWebAddressByMessage = (appId, messageAddress) => {
	return yghttp.post('/auth/getThirdWebAddressByMessage', {
		"appId": appId,
		"messageAddress": messageAddress
	})
}

/**
 * 获取广告位广告
 */
export const getBannerList = (adLocationCode) => {
	return yghttp.get(`/ad/list/${adLocationCode}`)
}

/**
 * 获取频道下的应用分类和分类下的应用
 */
export const getChannelDictCode = (channelDictCode) => {
	return yghttp.get(`/applicationCategory/all/${channelDictCode}`)
}

/**
 * 获取聚合主题
 */
export const getThemeModule = (markCode) => {
	return yghttp.get(`/themeModule/list/${markCode}`)
}

/**
 * 获取聚合列表
 */
export const getThemeInfo = (themeId) => {
	return yghttp.get(`/themeModule/listById/${themeId}`)
}


// /**
//  *  获取资讯
//  */
export const getInformation = (Params) => {
	return yghttp.get(`/information/type-page`, Params)
}

/**
 *  获取资讯列表
 */
export const getInformationList = (Params) => {
	return yghttp.get(`/information/page`, Params)
}

/**
 *  获取资讯滚动通知
 */
export const getRecommend = (num) => {
	return yghttp.get(`/information/recommend?limit=${num}`)
}

/**
 *  获取搜索配置详细信息
 */
export const getSearchInfo = () => {
	return yghttp.get("/search/config/info")
}

/**
 *  第三方h5应用搜索
 */
export const getThirdSearch = (Params) => {
	return yghttp.get("/third/search", Params)
}

// 获取用户信息
export const getUserInfo = () => {
	return yghttp.get(`/user/info`)
}
// 获取最新APP版本
export const versionNewest = (param) => {
	return yghttp.get(`/app/version/newest`, param)
}
// 新增用户实名认证
export const certificationAdd = (param) => {
	return yghttp.post(`/user/certification/add`, param)
}
// 获取用户实名认证详细信息
export const certificationInfo = () => {
	return yghttp.get(`/user/certification/info`)
}
// 退出登录
export const userLogout = () => {
	return yghttp.post(`/user/logout`)
}
// 我的
export const myUserInfo = () => {
	return yghttp.get(`/user/my/info`)
}

// 新闻分类/资讯
export const newsClassify = (param) => {
	return yghttp.get(`/information/type-page`, param)
}

// 新闻列表
export const newsList = (param) => {
	return yghttp.get(`/information/page`, param)
}

// 新闻列表详情
export const newsDetial = (id) => {
	return yghttp.get(`/information/info/${id}`)
}



// 发现页资讯列表
export const getInformationFindPage = (param) => {
	return yghttp.get(`/information/find-page`, param)
}


// 设置用户关注/取关
export const setUserFollow = (data) => {
	return yghttp.post(`/userFollow/operation`, data)
}
// 设置用户收藏/取消收藏
export const setUserCollect = (data) => {
	return yghttp.post(`/userCollect/operation`, data)
}

// 获取用户关注
export const getUserFollowList = (param) => {
	return yghttp.get(`/userFollow/page`, param)
}

// 获取用户收藏
export const getUserCollectList = (param) => {
	return yghttp.get(`/userCollect/page`, param)
}

// 靓码 -----
/**
 * 
 * 权益卡
 */
export const getAppCard = () => {
	return yghttp.get(`/yima/request/appCard/card`)
}

/**
 * 
 * 优惠券
 */
export const getAppCoupon = () => {
	return yghttp.get(`/yima/request/appCard/coupon`)
}
/**
 * 
 * 靓码
 */
export const getAppCode = () => {
	return yghttp.get(`/yima/request/appUser/newCode`)
}


/**
 * 
 * 发现
 */
export const getDiscover = (Params) => {
	return yghttp.get(`/yima/request/appMoment/pageList`, Params)
}

/**
 * 
 * 发现详情
 */
export const getDiscoverInfo = (id) => {
	return yghttp.get(`/yima/request/appMoment/info?informationId=${id}`)
}



/**
 * 人脸参数处理
 */
// 处理人脸加密参数
export const facParamsHandle = (data) => {
	return yghttp.post(`/auth/thrid-user`, data)
}

// 处理人脸返回参数
export const facResultHandle = (data) => {
	return yghttp.post(`/user/certification/yige-real-auth`, data)
}

// 发送短信
export const smsCode = (data) => {
	return yghttp.post(`/common/sms-code`, data)
}



// 地图

// 获取地图分类
export const getLocationClassify = () => {
	return yghttp.get(`/location/map/classify/list`)
}


// 获取地图分类 （热 / 推荐）
export const getLocationSelect = (second = false) => {
	return yghttp.get(`/location/map/classify/select?second=true&limit=5`)
}

// 获取地图分类 （热 / 推荐）详情
export const getLocationClassifyInfo = (id) => {
	return yghttp.get(`/location/map/classify/info/${id}`)
}

//获取地图列表
export const getLocationNearbyList = (params) => {
	return yghttp.get(`/location/map/nearbyList`, params)
}

//获取地图周边
export const getCircumList = (params) => {
	return yghttp.get(`/location/map/placeAround`, params)
}

//获取地图详情
export const getLocationIinfo = (id, latitude, longitude) => {
	return yghttp.get(`/location/map/info/${id}?latitude=${latitude}&longitude=${longitude}`)
}

//获取点位详情(充电桩)
export const getlocationMapInfo = (locationMapId) => {
	return yghttp.get(`/chargingStation/info/${locationMapId}`)
}

// 根据类型id获取类型的模块
export const classifyModuleList = (classifyId) => {
	return yghttp.get(`/location/map/classify/module-list`, {
		classifyId: classifyId
	})
}


// 获取积分列表
export const getIntegralList = (params) => {
	return yghttp.get(`/user/integral/page`, params)
}


// 获取卡包
export const getYimaCard = () => {
	return yghttp.get(`/yima/request/appCard/userCard`)
}

// 用户可用优惠券接口
export const getYimaCoupon = () => {
	return yghttp.get(`/yima/request/appCard/userCouponList`)
}